Description

Hi,

Adding "Data defined override" option to map composer has opened a new world of map automation and offered great improvement.

Thanks. I think this button should be added to many other options in the composer interface ( legend and scale bar main properties, scale

bar units and segments options but i think i'd rather open another ticket for that, right?), particularly to the number of columns a legend

might display.

Indeed, thanks to this article (thanks, Alexandre), I designed an atlas composition that changes the paper sheet orientation according to

features values. What I would like to do is to specify, according to the paper orientation, whether the legend in the composer should be

displayed in one or three column(s). Currently, it's just possible to set one value. Thanks once again.

Associated revisions

Revision ec9ba9c2 - 2017-01-23 03:45 AM - Nyall Dawson

[FEATURE][composer] Data defined legend titles and column count

(fix #11913)

History

#1 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-09-29 05:57 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#4 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#5 - 2017-01-23 10:57 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"ec9ba9c2a2fab4969d0927b4c509ce7573ea35a3".
http://sigsemgrilhetas.wordpress.com/2014/11/09/series-de-mapas-com-formatos-multiplos-em-qgis-2-6-parte-1-multiple-format-map-series-using-qgis-2-6-part-1/

